> For the complete documentation index, see [llms.txt](https://docs.vernemq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vernemq.com/1.7.1/configuration/introduction.md).

# Introduction

Every VerneMQ node has to be configured. Depending on the installation method and chosen platform the configuration file `vernemq.conf` resides at different locations. If VerneMQ was installed through a Linux package the default location for the configuration file is `/etc/vernemq/vernemq.conf`.

## File Format

* A single setting is handled on one line.
* Lines are structured `Key = Value`
* Any line starting with # is a comment, and will be ignored

## Minimal Quickstart configuration

You certainly want to try out VerneMQ right away. For that you could disable authentication like so:

* Set `allow_anonymous = on`

By default the `vmq_acl` authorization plugin is enabled and configured to allow publishing and subscribing to any topic, see [here](https://docs.vernemq.com/1.7.1/configuration/pages/-LOw5nBlmXV6EMZlDmmg##authorization) for more information.

{% hint style="info" %}
Warning: Setting `allow_anonymous=on` completely disables authentication in the broker and plugin authentication hooks are never called! See more information about the authentication hooks [here](/1.7.1/plugindevelopment/sessionlifecycle.md#auth_on_register-and-auth_on_register_m5). Further, in a production system you should configure `vmq_acl` to be less permissive or configure some other plugin to handle authorization.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vernemq.com/1.7.1/configuration/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
